from typing import Dict, List, Union, Any
from pydantic import BaseModel
import time, random


def get_id():
    return hex(int(time.time() * 10 ** 7) + random.randint(0, 10000))[2:]


#
class WorkerModel(BaseModel):
    pass


# 面试查询格式
class WorkerQuery(BaseModel):
    data_in: Any
    worker_query: dict = dict()  # 查询删选条件
    find_filed: List[str] = None  # 显示列名


# 入职人员添加格式
class InWorkerQuery(BaseModel):
    data_in: dict = dict()
    worker_id: str = get_id()
